package minutes;

import java.io.*;
import java.util.regex.*;
import java.text.*;
import java.util.*;
import java.net.*;

public class SimpleConfigFile
{
    HashMap<String, String> map = new HashMap<String, String>();

    public class UnknownKeyException extends Exception
    {
	public UnknownKeyException(String msg)
	{
	    super(msg);
	}
    }

    public SimpleConfigFile(String path) throws IOException
    {
	DataInputStream ins = new DataInputStream(new FileInputStream(path));

	String line;
        while ((line = ins.readLine())!=null)
            {
                if (line.length() == 0)
                    continue;
                if (line.charAt(0) == '#')
                    continue;

                String toks[] = line.split("[\\s=]+");
                if (toks.length!=2) {
                    System.out.println("Malformed line: "+line);
                    continue;
                }
		System.out.println(toks[0]+" "+toks[1]);
                map.put(toks[0], toks[1]);
            }

        ins.close();
    }

    public String getString(String key) throws UnknownKeyException
    {
	String value = map.get(key);
	if (value == null) {
	    throw new UnknownKeyException("Expected configuration item "+key);
	}
	return map.get(key);
    }
}
